{% extends 'index.html' %}
{% load static %}
{% block content %}


<main id="main" xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
    <section id="portfolio" class="portfolio section-bg">
      <div class="container">
        <div class="section-title">
          <h2>Post detail</h2>
        </div>
            <section class="breadcrumbs">
                 <div class="container">
                     <div class="d-flex justify-content-between align-items-center">
                        <h2>{{ post.title }} </h2>
                         {% if user.is_authenticated %}
                            {% if user.id == post.author.id or user.user_name == admin %}
                                 <ol>
                                     <li><a href="{% url 'delete_post_url' post.pk %}" class="btn btn-danger">Delete</a></li>
                                     <li><a href="{% url 'update_post_url' post.pk %}" class="btn btn-dark">Edit</a></li>
                                 </ol>
                            {% endif %}
                         {% endif %}
                     </div>
                     <br/>
                     <div class="media">
                        <img class="img-thumbnail"  src="{{ post.image.url }}" alt="Generic placeholder image">
                     </div>
                  </div>
            </section>
          <br/>
          <h5>{{ post.content|safe }}</h5>
          <p align="right">{{ post.post_date }}</p>
          <p align="right">By:
          {% if post.author.profile.profile_pic %}
             <a href="{% url 'profile_url' post.author.profile.user.id %}"><img src="{{ post.author.profile.profile_pic.url }}" class="rounded-circle" width=100px height=100px></a>
          {% else %}
             <a href="{% url 'profile_url' post.author.profile.id %}"><img src="{% static 'empty.jpg' %}" class="rounded-circle" width=100px height=100px></a>
          {% endif %}
          </p>
          <hr>
              <form action="{% url 'like_post_url' post.pk %}" method="POST">
                {% csrf_token %}
                  {% if user.is_authenticated %}
                      {% if liked %}
                        <p align="right"><button type="submit", name="post_id", value="{{ post.id }}", class="btn btn-danger"><i></i><span>Unlike</span></button>
                      {% else %}
                         <p align="right"><button type="submit", name="post_id", value="{{ post.id }}", class="btn btn-primary"><i></i><span>Like</span></button>
                      {% endif %}
                  {% endif %}
                        <a href="{% url 'posts_list_url' %}" class="btn btn-dark"style="float: left;">Back</a></p>
              </form>
          <br/><br/><br/>

        <div class="section-title">
          <h2>Comments</h2>
        </div>
          {% if not post.comments.all %}
            No comments yet
            {% if user.is_authenticated %}
                <a href="{% url 'add_comment_url' post.pk %}" class="btn btn-primary"><i></i><span>Add comment</span></a></p>
            {% endif %}
          {% else %}
            {% for comment in post.comments.all %}
                <strong>{{ comment.name }} - <i>{{ comment.date_added }}</i></strong>
                <br/>
            {{ comment.body }}
                <br/>
            {% endfor %}
            {% if user.is_authenticated %}
                 <br/><br/>
                <p align="left"><a href="{% url 'add_comment_url' post.pk %}" class="btn btn-primary"><i></i><span>Add comment</span></a></p>
            {% endif %}
          {% endif %}

      </div>

{% endblock %}
